Delete SmartCA digital signature
Updated date: 18/08/2026
Updated by: VNPT eContract's team
Purpose
The function deletes the user's SmartCA digital certificate. If the deleted certificate is set as the default, the system will automatically select another certificate and mark it as the default.
See more: Add new SmartCA digital signature, Update SmartCA digital signature
- Request URL:
/api/users/smart-ca/delete - HTTP method:
POST - HTTP content-type:
application/json - Authorize:
Bearer token - Parameter:
| Key | Type | Description |
|---|---|---|
id | string | [Required] Id of certificate |
userId | int | [Required] Id of user |
Sample request
{
"id": 37665,
"userId": 1234
}
Sample response body
{
"data": {
"id": 1234,
"createdDate": "2021-01-06T17:06:07.2893325",
"comId": 16,
"code": "mycode",
"username": "myusername",
"name": "Nguyen Van A",
"phone": "0919XXXXXX",
"email": "email_address",
"validFrom": "2021-12-07T09:15:00",
"validTo": "2022-12-07T09:15:00",
"isValid": true,
"signConfirmationEnabled": false,
"isAccountLocked": false,
"accountId": "c59125a9-5fee-44e2-b0ff-b229634bf0b2",
"signatureText": "Ký bởi: {{SubjectDN.CN}} / {{SubjectDN.O}} / {{SubjectDN.OU}} / {{SubjectDN.UID}}\r\nChức vụ: {{SubjectDN.T}}\r\nKý ngày: {{SignTime}}",
"roles": [
{
"id": "29e1138e-833e-4b3a-897a-08da9c3dd633",
"code": "Admin",
"name": "Admin manages the company",
"description": "Admin account manages the company"
}
],
"signMethod": {
"value": 2,
"description": "VNPT SmartCA"
},
"status": {
"value": 1,
"description": "Enabled"
},
"receiveOtpMethod": {
"value": 1,
"description": "Email"
},
"receiveNotificationMethod": {
"value": 0,
"description": "Email"
},
"personalCertificateId": 22105,
"smartCaId": 19843,
"extraValues": [
],
"usedMemory": 0,
"defaultSmartCa": {
"id": 37666,
"name": "Nguyễn Văn A 26",
"commonName": "Nguyễn Văn A",
"uid": "08009000000",
"validFrom": "2025-03-07T08:56:16Z",
"validTo": "2026-03-07T08:56:16Z",
"serialNumber": "540101014e4653549c5a6fdcb9c89999",
"subjectDN": "UID=CCCD:08009000000,CN=Nguyễn Văn A,L=Quận 3,ST=Hồ Chí Minh,C=VN",
"status": {
"value": 1,
"description": "Active"
},
"smartCaServiceName": "TEST_CÁ NHÂN ĐỐI TÁC",
"smartCaSignMethod": {
"value": 1,
"description": "Normal"
},
"smartCaAccountType": {
"value": 1,
"description": "Personal"
},
"smartCaUsername": "08009000000",
"isValid": true,
"provider": {
"value": 1,
"description": "VNPT SmartCA"
},
"createdDate": "2025-03-17T08:56:42.4886305+07:00",
"isBusinessSmartCaAccount": false,
"ownerId": 6,
"createdByUserId": 6
},
"userCertificates": [
{
"id": 37666,
"name": "Nguyễn Văn A 26",
"commonName": "Nguyễn Văn A",
"uid": "08009000000",
"validFrom": "2025-03-07T08:56:16Z",
"validTo": "2026-03-07T08:56:16Z",
"serialNumber": "540101014e4653549c5a6fdcb9c89999",
"subjectDN": "UID=CCCD:08009000000,CN=Nguyễn Văn A,L=Quận 3,ST=Hồ Chí Minh,C=VN",
"status": {
"value": 1,
"description": "Active"
},
"smartCaServiceName": "TEST_CÁ NHÂN ĐỐI TÁC",
"smartCaSignMethod": {
"value": 1,
"description": "Normal"
},
"smartCaAccountType": {
"value": 1,
"description": "Personal"
},
"smartCaUsername": "08009000000",
"isValid": true,
"provider": {
"value": 1,
"description": "VNPT SmartCA"
},
"createdDate": "2025-03-17T08:56:42.4886305+07:00",
"isBusinessSmartCaAccount": false,
"ownerId": 6,
"createdByUserId": 6
}
],
"smartCaGroups": [
]
},
"success": true,
"code": 0,
"messages": [
"Delete SmartCA certificate success"
]
}
Response Body Description
| Key | Type | Description |
|---|---|---|
success | boolean | Response status (true: Success, false: Failure) |
code | int | Response code from the system |
messages | array | List of messages returned by the system (e.g., ["Delete SmartCA certificate success"]) |
data | object | Object containing detailed user information along with the remaining SmartCA certificates after deletion (see details) |